## atom4 4.1

=== debian/changelog ===
atom4 (4.1-10) unstable; urgency=medium

  [ Andreas Tille ]
  * Maintain package in Games team
    Closes: #1123848
  * Remove former maintainer Hwei Sheng Teoh from Uploaders at his
    request.  Thank you for your previous work Hwei Sheng Teoh.
  * Point Homepage to packages.debian.org
  * d/rules: short dh
  * d/control: wrap-and-sort
  * Build-Depends: libncurses5-dev => libncurses-dev
  * d/copyright: DEP5
    Closes: #617837
  * d/control:
     - Drop Priority field
     - Standards-Version: 4.7.3
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Trim trailing whitespace.
  * d/menu: remove
  * We need to declare the png icon in include-binaries
  * Fix install
  * d/rules: Forward build flags to scons
  * Fix format to enable building using -Wformat-security
  * Permit failure of blhc in Sala CI

  [ Markus Koschany ]
  * Provide a desktop file and icons
    Closes: #737793

 -- Andreas Tille <tille@debian.org>  Mon, 12 Jan 2026 19:17:34 +0100

atom4 (4.1-9) unstable; urgency=medium

  * Link targets need to be in order of dependency (Closes: #872770)
  * Bump Standards-Version to 4.0.0

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Mon, 21 Aug 2017 09:35:40 -0700

atom4 (4.1-8) unstable; urgency=medium

  * debian/rules: Fix broken resource paths (Closes: #859812)

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Fri, 07 Apr 2017 11:39:10 -0700

atom4 (4.1-7) unstable; urgency=low

  * Update to source format 3.0 (quilt)
  * Update to Standards-Version: 3.9.8
  * Migrate broken build system to SCons (Closes: #859498)
     - Fix compile errors.
     - Fix compile warnings.
  * Upgrade to debian/compat 9.

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Tue, 4 Apr 2017 10:22:22 -0700

atom4 (4.1-6) unstable; urgency=low

  * Fix FTBFS on clang (thanks, Sylvestre Ledru!)(Closes: #710408)
  * Fix lintian warnings:
     - Upgrade to Standards-Version: 3.9.4
     - Fix description line to match recommended format
     - Add recommended build rules to debian/rules
     - Use hardening options for build.

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Wed, 31 Jul 2013 09:20:27 -0700

atom4 (4.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
    - Dont ignore write return value to fix FTBFS. Thanks Tarun kumar mall
      for the patch! Closes: #617839 and also LP: #776746

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 17 Jun 2011 22:46:56 +0200

atom4 (4.1-5) unstable; urgency=low

  * Update debhelper compatibility to 8.
     - Use dh_prep instead of dh_clean -k
  * Fix compiler deprecation warnings.
  * Update to debian-policy 3.9.1.
  * Fix lintian errors/warnings:
     - Fix missing separator in debian/control
     - Remove debian/preinst
     - Remove debian/prerm
     - Fix copyright notice format
  * Change order of libraries during linking - thanks, Tarun Kumar Mall!
    (Closes: #616039)

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Wed, 02 Mar 2011 10:09:04 -0800

atom4 (4.1-4) unstable; urgency=low

  * Fix Build-depends: to depend on specific X11 libraries rather than
    obsoleted xlibs-dev (Closes: #346674)

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Wed, 11 Jan 2006 09:43:13 -0800

atom4 (4.1-3) unstable; urgency=low

  * Actually fix missing forward declaration (Closes: #318526)
  * Quote values in debian/menu.

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Tue, 19 Jul 2005 02:50:43 -0700

atom4 (4.1-2) unstable; urgency=low

  * Add missing forward declaration (Closes: #318526)
  * Update Standards-Version to 3.6.2.1.
  * Fix multi-line Build-Depends.

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Sun, 17 Jul 2005 19:02:33 -0700

atom4 (4.1-1) unstable; urgency=low

  * New upstream release.
  * This is the Just Before A Major Overhaul release. There are very few
    cosmetic changes, but a lot of internal improvement especially in
    the AI. The following entries are summarized from the (admittedly
    less readable) TODO file.
  * Visible changes:
    - Fixed ncurses interface which fails to render the board background
      properly under some terminals. This is a hack; it is likely a
      libncurses bug related to the mutt bleeding backgrounds bug.
    - AI player now has a real, properly-implemented min-max algorithm
      with alpha/beta pruning. The default difficulty level (-d2) is now
      quite challenging; -d3 and above are now very tough to beat.
    - Some cosmetic improvements in the ncurses interface.
  * Internal changes:
    - Fixed some bugs in the event loop
    - Fixed a major event loop sequencing problem. Man these things are
      tricky.
    - Event loop now has timers, although they aren't used by anything
      in this release. (Not anything linked into the game, that is.)
      There are also other significant improvements to the event loop
      code.
    - Added profiling code to help with AI optimization (game trees that
      grow with O(n!) are NOT fun to search at high depths...)
    - Preliminary network gaming code. Sorry, this is currently not in a
      sufficiently advanced stage for you to actually play a network
      game yet. The code is currently not actually linked into the game.
  * About version numbers:
    - Hindsight is 20-20, as they say. The first Debian release bore a
      version number of 4-1, which I now realize was a mistake. The
      game's internal version number was 1.1 (as those who played the
      ncurses interface might have noticed); the 4 came from an archive
      number I use to maintain codebases. I refuse to roll the epoch
      just because of this, so to fix this inconsistency, I've bumped
      the internal version number to 4.1 and using 4.1-1 for the Debian
      version. This is an unfortunate unintentional version bloat. :-(
    - Atom-4 will likely reach 4.infinity before 5.0.
  * debian/control: grammatical correction; upgrade to Standards-Version
    3.5.9.

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Tue, 15 Apr 2003 18:01:33 -0400


