=== debian/control ===
Source: atom4
Standards-Version: 4.7.3
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: games
Build-Depends:
 debhelper-compat (= 13),
 libncurses-dev,
 libx11-dev,
 libxext-dev,
 libxpm-dev,
 scons,
Vcs-Browser: https://salsa.debian.org/games-team/atom4
Vcs-Git: https://salsa.debian.org/games-team/atom4.git
Homepage: https://packages.debian.org/atom4

Package: atom4
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Original two-player color puzzle game
 Atom-4 is a two-player color manipulation game played with colored
 spherical pieces on a board divided into equilateral triangles. The
 player who first makes a row of 4 pieces of the right color wins.
 However, the players do not directly play pieces of the winning color;
 they must construct their winning pieces via color changes that happen
 to neighbouring pieces whenever a new piece is placed on the board.
 .
 Atom-4 supports both a curses-based text interface and an X11 interface.
