=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

SCONS=/usr/bin/scons

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_clean:
	cd proglib; $(SCONS) -c
	$(SCONS) -c

	# Clean up .sconsign files so that they won't end up in the source
	# package
	find . -name .scons* -print | xargs \rm -f

override_dh_auto_configure:
	# Note: this only build proglib; the actual build is in install
	# because cons builds and installs everything directly. (It can be
	# split up, but I'm not sure that's necessary.)
	cd proglib; $(SCONS) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	$(SCONS) BINDIR="#debian/atom4/usr/games" DATADIR="#debian/atom4/usr/share/games/atom4" REALDATADIR="/usr/share/games/atom4" MANDIR="#debian/atom4/usr/share/man" PROGLIBPATH="#proglib"

	# Clean up .sconsign files so that they won't end up in the source
	# package
	find . -name .scons* -print | xargs \rm -f
